/*
 *========================================================================
 *
 *   시스템명 : 녹색교통 시스템
 *   파 일 명 : ft_ecblcng.pc
 *   작 성 자 : 조보용 (baarong@neighbor21.co.kr)
 *   작 성 일 : 2019.08.13
 *   수 정 일 :
 *   설    명 :
 *
 *========================================================================
*/

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <unistd.h>

#include "bef_mst.h"
#include "dir_path.h"
#include "file_no.h"
#include "file_lb.h"
#include "lb_func_list.h"
#include "func_list.h"
#include "util.h"


/*
 *========================================================================
 *
 *   함 수 명 : make_exemptmst
 *   작 성 자 : 조보용 (baarong@neighbor21.co.kr)
 *   작 성 일 : 2019.08.13
 *   수 정 일 :
 *   설    명 : 면제정보 마스터 파일 생성
 *
 *========================================================================
*/
int make_exemptmst(unsigned int rcv, char *data)
{
    char path[128], spath[128], tpath[128];
	char mkData[MAX_STRING_SIZE + 1];
    int  isfd, isrc, errflg = 0;
	memset(mkData, 0x00, sizeof(mkData));
	snprintf(mkData, strlen(data)+1, "%s", data);
//printf("make_befmst [%d][%s][%d]\n", rcv, data, strlen(data));
//printf("make_befmst 2[%s][%d]\n", mkData, strlen(mkData));

	//WriteLog(LogType_StandardOut, LogLevel_Info, "DATA[%s][%d]\n", mkData, strlen(mkData));
    sprintf(path, "%s/%s/IMMCARNO_S", DIR_TCS, DIR_BASEINFO);
    //unlink(path);

    if(rcv == 1)
	{
		sprintf(path, "%s/%s/IMMCARNOC", DIR_TCS, DIR_BASEINFO);
		unlink(path);
		sprintf(path, "%s/%s/IMMCARNO_S", DIR_TCS, DIR_BASEINFO);
		unlink(path);
        isrc = Write_File_Char(mkData, strlen(mkData), path);
	}
    else
	{
	    isrc = Add_Write_File_Char(mkData, strlen(mkData), path);
	}

#if 0
    /*------------------------------------------------------*/
    /* OLD    BEFMST  ==>  BEFMST_O                */
    /*------------------------------------------------------*/
    sprintf(path, "%s/%s/BEFMST_O", DIR_TCS,DIR_BASEINFO);
    unlink(path);

    sprintf(spath, "%s/%s/BEFMST", DIR_TCS, DIR_BASEINFO);
    sprintf(tpath, "%s/%s/BEFMST_O", DIR_TCS, DIR_BASEINFO);
    lb_rename(spath, tpath);

    /*------------------------------------------------------*/
    /* NEW    BEFMST_S ==>  BEFMST                 */
    /*------------------------------------------------------*/
    sprintf(path, "%s/%s/BEFMST", DIR_TCS,DIR_BASEINFO);
    unlink(path);

    sprintf(spath, "%s/%s/BEFMST_S", DIR_TCS, DIR_BASEINFO);
    sprintf(tpath, "%s/%s/BEFMST", DIR_TCS, DIR_BASEINFO);
    lb_rename(spath, tpath);
#endif
    return(isrc);
}
